nz-modal([nzVisible]="visible", nzTitle="Trigger scan", [nzFooter]="modalFooter", (nzOnCancel)="closeModal()")
  form(nz-form, [formGroup]="form", nzLayout="vertical")
    nz-form-item
      nz-form-label(nzFor="branch")
        span
          | Git reference
          i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="branchHelp", nzType="question-circle", theme="outline")
      nz-form-control
        input(nz-input, type="string", id="branch", formControlName="branch", placeholder="Enter a git reference (default: master)")
      ng-template(#branchHelp)
        ng-container Git reference used to perform the scan. A git reference could be a branch, a tag ("v1.5") or, a commit ("a465e2f"). Leave blank if you want to scan the last commit of the master branch.

  ng-template(#modalFooter)
    ryax-action-button.mr1(label="Close", (click)="closeModal()")
    ryax-action-button(label="Scan repository", icon="search", type="primary", (click)="triggerScan()")
